////////////////////////////////////////////////////////////////////////////////
//
//  IBM Confidential
//
//  OCO Source Materials
//
//  The source code for this program is not published or otherwise
//      divested of its trade secrets, irrespective of what has
//      been deposited with the U.S. Copyright Office.
//
//  Copyright:  Licensed Materials - Property of IBM
//
//              xxxx-xxx (C) Copyright IBM Corp. 1999, 2000
//              All rights reserved.
//
//              U.S. Government Users Restricted Rights -
//              Use, duplication or disclosure restricted by
//              GSA ADP Schedule Contract with IBM Corp.
//
// Product: IBM WebSphere Host Publisher
//
//
// Change History:
// Flag Reason          Date    Developer       Comment
// --------------------------------------------------------------
//

package IntegrationObject;

import com.ibm.HostPublisher.IntegrationObject.*;
import com.ibm.HostPublisher.Server.Ras;

import java.lang.*;
import java.beans.*;


public class Mcat_keyw extends HPubHODCommon  
{

  // Generated Objects
  HAOVariable title = new HAOVariable("","title","title",false,"",0,0,43,14,HAO_VARIABLE_SIMPLE);
  HAOVariable author = new HAOVariable("","author","author",false,"",0,0,19,14,HAO_VARIABLE_SIMPLE);
  HAOVariable keyword = new HAOVariable("keyword","null","keyword",true,"",0,0,63,0,HAO_VARIABLE_SIMPLE);

  HAOVariable titletitle = new HAOVariable("","title","titletitle",false,"",0,0,43,14,HAO_VARIABLE_ARRAY);
  HAOVariable authorauthor = new HAOVariable("","author","authorauthor",false,"",0,0,19,14,HAO_VARIABLE_ARRAY);


  // Contructor
  public Mcat_keyw()
  { // Generated vector population
    vHAOVariables.addElement(title);
    vHAOVariables.addElement(author);
    vHAOVariables.addElement(keyword);


    vHAOVariables.addElement(titletitle);
    vHAOVariables.addElement(authorauthor);

    hPubStartPoolName  = new String("Mcat_keyw");
    hPubStartChainName = null;
    hPubStartType         = BEAN_START_FROM_POOL;



    hPubEndChainName   = new String("session");
    hPubEndType           = BEAN_END_TO_CONNECTION;


    stringHODMacroFilename = "Mcat_keyw.macro";
    stringBeanName = new String("Mcat_keyw");

   }


  // *************************************************************************
  /* Generated Setters */

  public void setKeyword( String stringToBe)
  {
    hPubErrorOccurred = 0;
    allowTracing();  // call made in case started from IDE and was not able to
                     // start tracing on the constructor
    if (HPubTracingOn) { Ras.traceEntry( this.getClass().getName(),"setKeyword(String)", stringToBe); }

    keyword.stringValue = stringToBe;
  }

  /* Generated Getters */
  public String getTitle()
  {
     hPubErrorOccurred = 0;
     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getTitle simple: ", title.stringValue); }
     return (title.stringValue);
  }
  public String getAuthor()
  {
     hPubErrorOccurred = 0;
     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getAuthor simple: ", author.stringValue); }
     return (author.stringValue);
  }
  public String getKeyword()
  {
     hPubErrorOccurred = 0;
     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getKeyword simple: ", keyword.stringValue); }
     return (keyword.stringValue);
  }

  public synchronized String getTitletitle(int i)
  {
     hPubErrorOccurred = 0;
     if (  (titletitle.oMultiValues.size() != 0)
         &&(i >= 0)
         &&(i < titletitle.oMultiValues.size())
        )
     { 
       if (HPubTracingOn)
       { Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getTitletitle array: ",
           integerX.toString(), (String) titletitle.oMultiValues.elementAt(i));
       }

       return ( (String) titletitle.oMultiValues.elementAt(i));
     }
     else
     { if (HPubTracingOn)
       {
         Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getTitletitle array element ", "Throwing out of bounds on iteration: ",
           integerX.toString());
       }

       throw new ArrayIndexOutOfBoundsException("Row is Out of Bounds");
     }
  }

  public String[] getTitletitle()
  {
     hPubErrorOccurred = 0;

     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getTitletitle ", "array all"); }

     titletitle.oStringArray = new String[titletitle.oMultiValues.size()];
     titletitle.oMultiValues.copyInto(titletitle.oStringArray);
     return (String[])titletitle.oStringArray.clone();
  }
  public synchronized String getAuthorauthor(int i)
  {
     hPubErrorOccurred = 0;
     if (  (authorauthor.oMultiValues.size() != 0)
         &&(i >= 0)
         &&(i < authorauthor.oMultiValues.size())
        )
     { 
       if (HPubTracingOn)
       { Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getAuthorauthor array: ",
           integerX.toString(), (String) authorauthor.oMultiValues.elementAt(i));
       }

       return ( (String) authorauthor.oMultiValues.elementAt(i));
     }
     else
     { if (HPubTracingOn)
       {
         Integer integerX = new Integer(i);
         Ras.trace( this.getClass().getName(),"getAuthorauthor array element ", "Throwing out of bounds on iteration: ",
           integerX.toString());
       }

       throw new ArrayIndexOutOfBoundsException("Row is Out of Bounds");
     }
  }

  public String[] getAuthorauthor()
  {
     hPubErrorOccurred = 0;

     if (HPubTracingOn) { Ras.trace( this.getClass().getName(),"getAuthorauthor ", "array all"); }

     authorauthor.oStringArray = new String[authorauthor.oMultiValues.size()];
     authorauthor.oMultiValues.copyInto(authorauthor.oStringArray);
     return (String[])authorauthor.oStringArray.clone();
  }


  public String getHPubBeanName()
  { return new String("Mcat_keyw");
  }

  public void DoTheWork()
  {
    DoTheWork(this);
  }

}


